summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author PaulKinsler2019-07-08 00:50:43 +0200
committer Willy Sudiarto Raharjo2019-07-08 00:50:43 +0200
commitdeaf9e11fa1bf5b4e5f5076c8cc0bcc996d2b210 (patch)
treebf324dd766de6d7ea3bca539630a31fa1ce7ceed
parent99c50bb58ee300c216e6ed9f32f9bef2d4cc39b2 (diff)
downloadslackbuilds-deaf9e11fa1bf5b4e5f5076c8cc0bcc996d2b210.tar.gz
academic/harminv: Added (harmonic inversion from a time series).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/harminv/README5
-rw-r--r--academic/harminv/harminv.SlackBuild112
-rw-r--r--academic/harminv/harminv.info10
-rw-r--r--academic/harminv/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/academic/harminv/README b/academic/harminv/README
new file mode 100644
index 0000000000..fc3c9c0bc7
--- /dev/null
+++ b/academic/harminv/README
@@ -0,0 +1,5 @@
+Harminv is a program and library that solves the problem of
+harmonic inversion. It takes a discrete-time, finite-length
+signal, and decomposes it into a sum of finitely-many
+sinusoids, determining the frequencies, decay constants,
+amplitudes, and phases of those sinusoids.
diff --git a/academic/harminv/harminv.SlackBuild b/academic/harminv/harminv.SlackBuild
new file mode 100644
index 0000000000..34d85f200d
--- /dev/null
+++ b/academic/harminv/harminv.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for harminv
+
+# Copyright 2019 Paul Kinsler, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=harminv
+VERSION=${VERSION:-1.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# change annoying underscores into hyphens
+SVERSION=$(echo $VERSION | tr '_' '-')
+# make a custom list of doc files in advance
+DOCFILES="COPYING COPYRIGHT NEWS.md README.md doc/*.md "
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SVERSION
+tar xvf $CWD/$PRGNAM-$SVERSION.tar.gz
+cd $PRGNAM-$SVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# if there is no configure script, try to build one!
+if [ ! -f ./configure ] ; then
+ ./autogen.sh
+fi
+
+LOCALCONFIGS="--enable-shared --with-blas=atlas"
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-static=no \
+ $LOCALCONFIGS
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/harminv/harminv.info b/academic/harminv/harminv.info
new file mode 100644
index 0000000000..4ba38e5070
--- /dev/null
+++ b/academic/harminv/harminv.info
@@ -0,0 +1,10 @@
+PRGNAM="harminv"
+VERSION="1.4.1"
+HOMEPAGE="https://github.com/NanoComp/harminv"
+DOWNLOAD="https://github.com/NanoComp/harminv/releases/download/v1.4.1/harminv-1.4.1.tar.gz"
+MD5SUM="a1ac921b1b97cd2c0354c35b2d8a77fc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lapack"
+MAINTAINER="PaulKinsler"
+EMAIL="dr.paul@kinsler.org"
diff --git a/academic/harminv/slack-desc b/academic/harminv/slack-desc
new file mode 100644
index 0000000000..63773e4878
--- /dev/null
+++ b/academic/harminv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+harminv: harminv (harmonic inversion from a time series)
+harminv:
+harminv: Harminv is a program and library that solves the problem of
+harminv: harmonic inversion. It takes a discrete-time, finite-length
+harminv: signal, and decomposes it into a sum of finitely-many
+harminv: sinusoids, dettermining the frequencies, decay constants,
+harminv: amplitudes, and phases of those sinusoids.
+harminv:
+harminv: Homepage: https://github.com/NanoComp/harminv
+harminv:
+harminv: